--
-- Events
--

RegisterNetEvent('ch_doorSystem:set')
AddEventHandler('ch_doorSystem:set', function(doorId, isLocked)
    DoorSystemSetDoorState(doorId, isLocked and 1 or 0)
end)

RegisterNetEvent('ch_doorSystem:initialize')
AddEventHandler('ch_doorSystem:initialize', function(allDoors)
    for doorId, door in pairs(allDoors) do
        AddDoorToSystem(doorId, door.Model, door.Coordinates)
        DoorSystemSetDoorState(doorId, door.Locked and 1 or 0)
    end
end)