local doorState = Config.Doors

--
-- Commands
--

RegisterCommand('toggleDoor', function(source, args, rawCommand)
    local doorId = tonumber(args[1])

    if not doorId or not doorState[doorId] then
        return
    end

    doorState[doorId].Locked = not doorState[doorId].Locked

    TriggerClientEvent('ch_doorSystem:set', -1, doorId, doorState[doorId].Locked)
end)

--
-- Events
--

AddEventHandler('playerJoining', function()
    TriggerClientEvent('ch_doorSystem:initialize', source, doorState)
end)

Citizen.CreateThread(function()
    Citizen.Wait(100)

    TriggerClientEvent('ch_doorSystem:initialize', -1, doorState)
end)